Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Messages - LeetDonkey

Pages: [1]
1
PHP / Re: Selecting different PHP version for subdirectory with PHP-FPM
« on: December 18, 2018, 11:28:53 AM »
Thanks

I fixed it by making a redirect to a subdomain, this seems to work rather well
(Webserver settings > Apache Redirects)

2
PHP / Selecting different PHP version for subdirectory with PHP-FPM
« on: December 18, 2018, 06:57:35 AM »
Hello

In the past I've used the PHP Selector to run a different version of PHP in a subdirectory of my main domain by adding
Code: [Select]
AddHandler application/x-httpd-php56 .php to the .htaccess file
I'm having a hard time replicating this behaviour if I switch to use PHP-FPM on my main domain.

The domain in question:
https://uber1337.dk/
The subdirectory:
https://uber1337.dk/hlstatx/

I've added the PHP 5.6 version to my PHP-FPM Selector
If I create a subdomain and specify the PHP-FPM version to be PHP 5.6 this works for the subdomain
for example
https://stats.uber1337.dk/
But it still won't fork for
https://uber1337.dk/hlstatx/ as the configuration is part of the main domain.

Are there any way to duplicate the behaviour of the original PHP Selector?

3
CentOS-WebPanel GUI / Re: Adding a domain with special characters
« on: October 12, 2017, 10:37:55 AM »
I can confirm that it works.

4
CentOS-WebPanel GUI / Adding a domain with special characters
« on: October 04, 2017, 06:06:19 AM »
Hello

I'm trying to add lundstrÝm.com to a user in the webpanel.
Unfortunately I receive the message 'Warning!: No special characters are allowed!'
How should I proceed?
Is it enough to add xn--lundstrm-c5a.com instead?

5
CentOS 7 Problems / Re: Ioncube load error
« on: August 11, 2017, 07:24:32 PM »
Hi

The solution ended up being

- Rebuild PHP with Ioncube enabled

- Run
sh /scripts/update_ioncube
service httpd restart
When the rebuild was complete.

Thank you for helping

6
CentOS 7 Problems / Re: Ioncube load error
« on: August 08, 2017, 01:44:06 PM »
ioncube is supporting php 7.1 from 2nd. August so you need to update your ioncube and restart apache
Quote
2nd Aug 2017 - Loader 10.0.0 released
Loader 10.0.0 released.
These are loaders to run files produced by the forthcoming version 10 ionCube PHP Encoder.
Included are loaders for PHP 7.1. Those will only run files produced by
the version 10 encoder for PHP 7.1.

Code: [Select]
sh /scripts/update_ioncube
service httpd restart
I followed your instructions, and they executed without any errors, but the error still pops up constantly in the error log.
Do you have anything else I could try?

7
CentOS 7 Problems / Ioncube load error
« on: August 08, 2017, 11:15:47 AM »
Hi

I keep getting theese in my apache error log:

Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320160303,NTS

It happens pretty much everytime you access a page on the webserver.

I'm running PHP 7.1.7 and have checked the 'ioncube' checkbox.
I've also tried a different version but the error seem to persist.

Any ideas on how to fix this?

Pages: [1]